Create Single User
Create one user at a time without the need for a csv input file. After creation, you can assign these users to Vaults with the Update Vault Membership endpoint.
Some Vaults use multiple applications, for example, a RIM Vault with Submissions and Registrations. If multiple applications are available, this API adds the user with the specified license_type__v to all available applications. For example, if license_type__v is specified as read_only__v, Vaults adds the user with a license type of read_only__v to both RIM Submissions and RIM Registrations. If you need your user to have different license types across available applications, you must use the Create Multiple Users API with the app_licensing field. After creation, you can also adjust the user's license types manually through the Vault UI.
/api/{version}/objects/usersHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
user_name__v | The user’s Vault username (login credential). For example, ewoodhouse@veepharm.com |
user_first_name__v | The user's first name. |
user_last_name__v | The user's last name. |
user_email__v | The user's email address. |
user_timezone__v | The user's time zone. Retrieve values from Retrieve Users. |
user_locale__v | The user's location. Retrieve values from Retrieve Users. |
security_policy_id__v | The user's security policy. Retrieve values from Retrieve All Security Policies. |
user_language__v | The user's preferred language. Retrieve values from Retrieve Users. |
security_profile__v | Optional: The user’s security profile. If omitted, the default value is document_user__v. |
license_type__v | Optional: The user’s license type. If multiple applications are available, this API adds the user with this specified license type to all available applications. For example, in a RIM Vault with Submissions and Registrations, if this parameter is specified as read_only__v, Vaults adds the user with the license type of read_only__v to both RIM Submissions and RIM Registrations. If omitted, default value is full__v for all available applications. |
You may add values to any other editable user field, unless you are are adding a cross-domain user (see below). See Retrieve Users for all possible values.
Cross-Domain Users
Section link for Cross-Domain UsersThe following are the only fields required to create a cross domain user. All other fields are ignored.
| Name | Description |
|---|---|
user_name__v | The user’s Vault username (login credential). For example, ewoodhouse@veepharm.com |
security_profile__v | Optional: The user’s security profile. If omitted, default value is document_user__v. |
license_type__v | Optional: The user’s license type. If omitted, default value is full__v. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
domain | When set to true, the user will not be assigned to a Vault. |
Request Details: Add User to Domain
Section link for Request Details: Add User to DomainOn SUCCESS, the user account is created and set to active. The new user is not assigned a license type or security profile, nor do they have access to any Vaults in your domain. This means they will not receive a welcome email.
Request Details: Add User to Current Vault
Section link for Request Details: Add User to Current VaultThis request adds one new user to your domain and assigns them to the Vault where the request was made. They will receive a welcome email with instructions for logging into the Vault, and they will not have access to any other Vaults in your domain. To give them access to other Vaults, see Update Vault Membership.
This example request includes all fields required to create a new user, and two optional fields (security profile and license type). If these optional fields were not included in the request, the user would be assigned the document_user__v security profile and full__v license type by default.
Request Details: Add Cross-Domain User
Section link for Request Details: Add Cross-Domain UserThis request adds the user ewoodhouse.veevavault.com to your current domain as a cross-domain user.
All other metadata fields are ignored. Learn more about cross-domain users in Vault Help
Request : Add User to Domain
Section link for Request : Add User to Domaincurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "user_name__v=ewoodhouse@veepharm.com" \
-F "user_email__v=ewoodhouse@veepharm.com" \
-F "user_first_name__v=Elaine" \
-F "user_last_name__v=Woodhouse" \
-F "user_language__v=en" \
-F "user_timezone__v=America/Denver" \
-F "user_locale__v=en_US" \
-F "security_policy_id__v=821" \
-F "domain=true" \
https://myvault.veevavault.com/api/v20.3/objects/usersRequest : Add User to Current Vault
Section link for Request : Add User to Current Vaultcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "user_name__v=ewoodhouse@veepharm.com" \
-F "user_email__v=ewoodhouse@veepharm.com" \
-F "user_first_name__v=Elaine" \
-F "user_last_name__v=Woodhouse" \
-F "user_language__v=en" \
-F "user_timezone__v=America/Denver" \
-F "user_locale__v=en_US" \
-F "security_policy_id__v=821" \
-F "security_profile__v=business_admin__v" \
-F "license_type__v=full__v" \
https://myvault.veevavault.com/api/v20.3/objects/usersRequest Details: Add Cross-Domain User
Section link for Request Details: Add Cross-Domain Usercurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "user_name__v=ewoodhouse@veepharm.com" \
-F "security_profile__v=business_admin__v" \
-F "license_type__v=full__v" \
https://myvault.veevavault.com/api/v20.3/objects/users